Name:		ssd-utils
Summary:	Utilities for SSD drives needed for regular TRIMming
Version:	1.0
Release:	2
License:	Public Domain
Group:		System/Base
Source0:	fstrim-all
Source1:	fstrim.cron
BuildArch:	noarch

Requires:	anacron
Requires:	util-linux

%description
This package sets up automatic TRIMming for SSD drives, which should lessen
the performance degradation.
See http://en.wikipedia.org/wiki/Trim_(computing) for details.

%install
install -m755 -d %{buildroot}/sbin
install -p -m755 %{SOURCE0} %{buildroot}/sbin

install -m755 -d %{buildroot}%{_sysconfdir}/cron.weekly
install -p -m755 %{SOURCE1} %{buildroot}%{_sysconfdir}/cron.weekly

%post
/sbin/fstrim-all || true

%files 
# Place fstrim-all to /sbin, where fstrim itself is.
/sbin/fstrim-all
%{_sysconfdir}/cron.weekly/fstrim.cron

%changelog
* Fri Oct 10 2014 Eugene Shatokhin <eugene.shatokhin@rosalab.ru> 1.0-2
+ Revision: f031ca4
- Enable logging to /var/log/fstrim-all.log


